[vlc-devel] [PATCH 1/2] apple: build.sh: add automatic nproc jobs count
Alexandre Janniaux
ajanni at videolabs.io
Fri Jan 22 09:53:22 UTC 2021
Use the maximum number of core just like darwin by default.
---
extras/package/apple/build.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/extras/package/apple/build.sh b/extras/package/apple/build.sh
index 4dd9202c12..6ea15a75a9 100755
--- a/extras/package/apple/build.sh
+++ b/extras/package/apple/build.sh
@@ -89,8 +89,8 @@ VLC_USE_PREBUILT_CONTRIBS=0
# User-provided URL from where to fetch contribs, empty
# for the default chosen by contrib system
VLC_PREBUILT_CONTRIBS_URL=${VLC_PREBUILT_CONTRIBS_URL:-""}
-# The number of cores to compile on, or 0 + 1 if not darwin
-CORE_COUNT=$(sysctl -n machdep.cpu.core_count || echo 0)
+# The number of cores to compile on
+CORE_COUNT=$(sysctl -n machdep.cpu.core_count || nproc || echo 0)
let VLC_USE_NUMBER_OF_CORES=$CORE_COUNT+1
# whether to disable debug mode (the default) or not
VLC_DISABLE_DEBUG=0
--
2.28.0
More information about the vlc-devel
mailing list